Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class WaitActivity

    java.lang.Object
      org.apache.ode.bpel.compiler.bom.BpelObject
          org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
              org.apache.ode.bpel.compiler.bom.Activity
                  org.apache.ode.bpel.compiler.bom.WaitActivity

All Implemented Interfaces:
  SourceLocation

    public class WaitActivity

extends Activity

Representation of the BPEL `<wait>` activity.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
`JoinFailureSuppressor.SuppressJoinFailure`

Field Summary

Fields inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
`__suppressJoinFailure`

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`WaitActivity(org.w3c.dom.Element el)`

Method Summary
`Expression` | `getFor()` Get the for expression.
`Expression` | `getUntil()` Get the "until" expression.

Methods inherited from class org.apache.ode.bpel.compiler.bom.Activity
`getJoinCondition, getLinkSources, getLinkTargets, getName`

Methods inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
`getSuppressJoinFailure`

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElementElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WaitActivity

    public WaitActivity(org.w3c.dom.Element el)

Method Detail

### getFor

    public Expression getFor()

  Get the for expression.

  Returns:
    Returns the for.

### getUntil

    public Expression getUntil()

  Get the "until" expression.

  Returns:
    the "until" expression

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD